System.Runtime.Remoting [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Channels.BaseChannelWithProperties System.Runtime.Remoting.Channels.IChannelReceiver System.Runtime.Remoting.Channels.IChannelReceiverHook System.Runtime.Remoting.Channels.IChannelSender System.Reflection.DefaultMember("Item")

Channels transport messages across remoting boundaries (for example, between computers or application domains). The class transports messages using the HTTP protocol.

Channels are used by the .NET Framework remoting infrastructure to transport remote calls. When a client makes a call to a remote object, the call is serialized into a message that is sent by a client channel and received by a server channel. It is then deserialized and processed. Any returned values are transmitted by the server channel and received by the client channel.

A object has associated configuration properties that can be set at run time either in a configuration file (by invoking the static method) or programmatically (by passing a collection to the constructor). For a list of these configuration properties, see Channel and Formatter Configuration Properties.

Implements a client channel for remote calls that uses the HTTP protocol to transmit messages.

- Constructor

  The configuration properties of the instance returned by this constructor are all set to their default values.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  When this constructor is used the default used is the .

  Initializes a new instance of the class with a server channel that listens on the specified port.

  The port on which the server channel listens.
  1.0.5000.0
  2.0.0.0
- Constructor

  For more information about channel configuration properties, see Channel and Formatter Configuration Properties.

  Channel sinks provide a plug-in point that allows access to the underlying messages flowing through the channel as well as the stream used by the transport mechanism to send messages to a remote object. Channel sinks are also responsible for transporting messages between the client and the server. Channel sinks are linked together in a chain, and all channel messages flow through this chain of sinks before the message is finally serialized and transported. If you do not require sink functionality, set the and parameters to null.

  Initializes a new instance of the class with the specified configuration properties and sinks.

  A collection that specifies values for configuration properties to be used by the client and server channels.
  The implementation to be used by the client channel.
  The implementation to be used by the server channel.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Code should not call the AddHookChannelUri method directly.

  The data object can be used to pass a specific initialization state to the channel.

  Adds a URI on which the channel hook should listen.

  Should always be a null reference (Nothing in Visual Basic) for 1.0.5000.0 2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  The current property is used when is called and a is created.

  Gets the channel-specific data.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Every registered channel has a unique name. The name is used to retrieve a specific channel when calling .

  Gets the name of the current channel.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The priority controls the order in which competing clients connect to a given endpoint; higher priority channels connect before lower priority channels. The default priority is 1; negative priorities are allowed.

  Gets the priority of the current channel.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  The value of the current property is not case-sensitive.

  Gets the type of listener to hook into (for example, "http").

  1.0.5000.0
  2.0.0.0
- Property
  System.Runtime.Remoting.Channels.IServerChannelSink To be added: an object of type 'Runtime.Remoting.Channels.IServerChannelSink'

  Channel sinks provide a plug-in point that allows access to the underlying messages flowing through the channel as well as the stream used by the transport mechanism to send messages to a remote object. Channel sinks are linked together in a chain of channel sink providers and all channel messages flow through this chain of sinks before the message is finally serialized and transported.

  Gets the channel sink chain that the current channel is using.

  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.Remoting.Messaging.IMessageSink `` `` `` To be added: an object of type 'string' To be added: an object of type 'object' To be added: an object of type 'string&' To be added To be added: an object of type 'Runtime.Remoting.Messaging.IMessageSink' To be added 1.0.5000.0 2.0.0.0
- Method
  System.String[] ``

  This method is used by .

  Returns an array of all the URLs for an object with the specified URI, hosted on the current .

  An array of the URLs for an object with the specified URI, hosted on the current .

  The URI of the object for which URL's are required. 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'object' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Collections.ICollection To be added: an object of type 'Collections.ICollection'

  Channel properties are used to configure the channel at run time. For a list of possible channel properties and an example, see Channel and Formatter Configuration Properties.

  Gets a of keys that the channel properties are associated with.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` `` To be added: an object of type 'string' To be added: an object of type 'string&' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Collections.IDictionary To be added: an object of type 'Collections.IDictionary'

  Channels properties are used to configure the channel at run time. The Properties property returns channel properties of the underlying and . For a list of possible channel properties and an example, see Channel and Formatter Configuration Properties.

  Gets a of the channel properties associated with the current channel.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The data object can be used to pass a specific initialization state to the channel.

  Instructs the current channel to start listening for requests.

  Should always be a null reference (Nothing in Visual Basic) for . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Instructs the current channel to stop listening for requests.

  The channel URI on which the channel hook is listening. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a Boolean value that indicates whether the current instance wants to be hooked into the outside listener service.

  1.0.5000.0
  2.0.0.0